# Property

## Get property

> Retrieve the property information and configuration

```json
{"openapi":"3.0.3","info":{"title":"Instance Property API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Property":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string","description":"The property name"},"border_radius":{"type":"string","description":"The border radius applied on UI elements in the widget and governance portal","enum":["ROUND","ROUNDED","SHARP"]},"text_color":{"type":"string","description":"The text color to apply on UI elements","enum":["AUTO","LIGHT","DARK"]},"widget_position":{"type":"string","description":"The side of the page the widget will position itself","enum":["LEFT","RIGHT"]},"widget_font":{"type":"string","description":"The custom font that will be applied to the widget"},"primary_color":{"type":"string","description":"The primary color of the widget and governance portal"},"default_notice_type":{"type":"string","description":"The default notice type used by the widget","enum":["CLASSIC","DISCRETE","FOOTER","TOP","TCF","NOT_SPECIFIED"]},"has_scripts":{"type":"boolean","description":"If set to false, the widget will not handle any kind of consent/cookie management and will not block any scripts"},"has_dsar":{"type":"boolean","description":"If set to false, the widget and governance portal will not handle any kind of data subject requests."},"has_docs":{"type":"boolean","description":"If set to false, the widget and governance portal will not display any legal documents"},"has_accessibility":{"type":"boolean","description":"If set to false, the widget will not provide any accessibility functionality"},"display_dpo":{"type":"boolean","description":"If set to false, the widget and governance portal will not display any representative information"},"display_company":{"type":"boolean","description":"If set to false, the widget and governance portal will not display any company information"},"has_continuous_scanning":{"type":"boolean","description":"Specifies if the widget has continuous scanning enabled"},"has_welcome_message":{"type":"boolean","description":"Specifies if we display the welcome message in the widget"},"has_accessibility_icon":{"type":"boolean","description":"The widget will use the accessibility icon for jurisdictions that do not require cookie consent"},"accessibility_phone":{"type":"boolean","description":"The accessibility phone number configured for the accessibility widget"},"widget_icon":{"type":"string","description":"The default widget opening icon"},"logo_url":{"type":"string","format":"uri","description":"The property logo on dark background"},"logo_light_url":{"type":"string","format":"uri","description":"The property logo on light background"},"description":{"type":"string","description":"The widget's welcome message displayed"},"domains":{"type":"array","items":{"$ref":"#/components/schemas/PropertyDomain"}},"representatives":{"type":"array","items":{"$ref":"#/components/schemas/Representative"}},"default_language":{"type":"object","description":"The default language of the widget","properties":{"id":{"type":"string","description":"The language id"},"code":{"type":"string","description":"The language code"},"name":{"type":"string","description":"The language name"}}},"features":{"type":"object","description":"Object containing enabled features and functionality for this property"}}},"PropertyDomain":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"is_primary":{"type":"boolean"},"created_at":{"type":"string","format":"date-time"}}},"Representative":{"type":"object","description":"The data processing officer/representative object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["PERSON","DATA_REPRESENTATIVE","ORGANIZATION"],"description":"The type of DPO configured"},"email":{"type":"string","format":"email","description":"The contact email address of the DPO"},"company_name":{"type":"string","description":"The company name, only for when we have an organization"},"first_name":{"type":"string","description":"The DPO first name"},"last_name":{"type":"string","description":"The DPO last name"},"position":{"type":"string","description":"The official position of the DPO within the company, available for persons and data representatives"},"description":{"type":"string","description":"The DPO short description"},"avatar_url":{"type":"string","format":"uri","description":"The DPO avatar URL, if available"},"category":{"type":"string","description":"The DPO category"},"jurisdiction":{"type":"array","description":"The DPO jurisdiction, available for data representatives","items":{"type":"string"}},"address":{"$ref":"#/components/schemas/Address"},"created_at":{"type":"string","format":"date-time"}}},"Address":{"type":"object","description":"The address object","properties":{"id":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"state":{"type":"string"},"address":{"type":"string","maxLength":50},"address_2":{"type":"string","maxLength":50},"postal_code":{"type":"string","maxLength":15},"phone_number":{"type":"string","maxLength":13}}}}},"paths":{"/portal/instance/property":{"get":{"summary":"Get property","description":"Retrieve the property information and configuration","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"responses":{"200":{"description":"Result with an array of records","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"result":{"$ref":"#/components/schemas/Property"}}}}}}}}}}}
```

## Update property

> Change property information and configuration

```json
{"openapi":"3.0.3","info":{"title":"Instance Property API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"PropertyForm":{"type":"object","properties":{"border_radius":{"type":"string","description":"The new border radius applied on UI elements in the widget and governance portal","enum":["ROUND","ROUNDED","SHARP"]},"text_color":{"type":"string","description":"The new text color to apply on UI elements","enum":["AUTO","LIGHT","DARK"]},"widget_position":{"type":"string","description":"The new side of the page the widget will position itself","enum":["LEFT","RIGHT"]},"widget_font":{"type":"string","description":"Specify the custom font that will be applied to the widget"},"primary_color":{"type":"string","description":"The new primary color of the widget and governance portal"},"default_notice_type":{"type":"string","description":"The new default notice type to be used by the widget","enum":["CLASSIC","DISCRETE","FOOTER","TOP","TCF","NOT_SPECIFIED"]},"has_scripts":{"type":"boolean","description":"If set to false, the widget will not handle any kind of consent/cookie management and will not block any scripts"},"has_dsar":{"type":"boolean","description":"If set to false, the widget and governance portal will not handle any kind of data subject requests."},"has_docs":{"type":"boolean","description":"If set to false, the widget and governance portal will not display any legal documents"},"has_accessibility":{"type":"boolean","description":"If set to false, the widget will not provide any accessibility functionality"},"display_dpo":{"type":"boolean","description":"If set to false, the widget and governance portal will not display any representative information"},"display_company":{"type":"boolean","description":"If set to false, the widget and governance portal will not display any company information"},"has_continuous_scanning":{"type":"boolean","description":"Specifies if the widget has continuous scanning enabled"},"has_welcome_message":{"type":"boolean","description":"Specifies if the welcome message should be displayed in the widget"},"has_accessibility_icon":{"type":"boolean","description":"The widget will use the accessibility icon for jurisdictions that do not require cookie consent"},"accessibility_phone":{"type":"boolean","description":"The accessibility phone number configured for the accessibility widget"},"widget_icon":{"type":"string","description":"The default widget opening icon"},"description":{"type":"string","description":"The new welcome message used by the widget"},"lang":{"type":"string","description":"The new default language code of the widget"},"logo_url":{"type":"string","format":"uri","description":"The previously uploaded logo id"},"logo_light_url":{"type":"string","format":"uri","description":"The previously uploaded light logo id"}}},"Property":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string","description":"The property name"},"border_radius":{"type":"string","description":"The border radius applied on UI elements in the widget and governance portal","enum":["ROUND","ROUNDED","SHARP"]},"text_color":{"type":"string","description":"The text color to apply on UI elements","enum":["AUTO","LIGHT","DARK"]},"widget_position":{"type":"string","description":"The side of the page the widget will position itself","enum":["LEFT","RIGHT"]},"widget_font":{"type":"string","description":"The custom font that will be applied to the widget"},"primary_color":{"type":"string","description":"The primary color of the widget and governance portal"},"default_notice_type":{"type":"string","description":"The default notice type used by the widget","enum":["CLASSIC","DISCRETE","FOOTER","TOP","TCF","NOT_SPECIFIED"]},"has_scripts":{"type":"boolean","description":"If set to false, the widget will not handle any kind of consent/cookie management and will not block any scripts"},"has_dsar":{"type":"boolean","description":"If set to false, the widget and governance portal will not handle any kind of data subject requests."},"has_docs":{"type":"boolean","description":"If set to false, the widget and governance portal will not display any legal documents"},"has_accessibility":{"type":"boolean","description":"If set to false, the widget will not provide any accessibility functionality"},"display_dpo":{"type":"boolean","description":"If set to false, the widget and governance portal will not display any representative information"},"display_company":{"type":"boolean","description":"If set to false, the widget and governance portal will not display any company information"},"has_continuous_scanning":{"type":"boolean","description":"Specifies if the widget has continuous scanning enabled"},"has_welcome_message":{"type":"boolean","description":"Specifies if we display the welcome message in the widget"},"has_accessibility_icon":{"type":"boolean","description":"The widget will use the accessibility icon for jurisdictions that do not require cookie consent"},"accessibility_phone":{"type":"boolean","description":"The accessibility phone number configured for the accessibility widget"},"widget_icon":{"type":"string","description":"The default widget opening icon"},"logo_url":{"type":"string","format":"uri","description":"The property logo on dark background"},"logo_light_url":{"type":"string","format":"uri","description":"The property logo on light background"},"description":{"type":"string","description":"The widget's welcome message displayed"},"domains":{"type":"array","items":{"$ref":"#/components/schemas/PropertyDomain"}},"representatives":{"type":"array","items":{"$ref":"#/components/schemas/Representative"}},"default_language":{"type":"object","description":"The default language of the widget","properties":{"id":{"type":"string","description":"The language id"},"code":{"type":"string","description":"The language code"},"name":{"type":"string","description":"The language name"}}},"features":{"type":"object","description":"Object containing enabled features and functionality for this property"}}},"PropertyDomain":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"is_primary":{"type":"boolean"},"created_at":{"type":"string","format":"date-time"}}},"Representative":{"type":"object","description":"The data processing officer/representative object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["PERSON","DATA_REPRESENTATIVE","ORGANIZATION"],"description":"The type of DPO configured"},"email":{"type":"string","format":"email","description":"The contact email address of the DPO"},"company_name":{"type":"string","description":"The company name, only for when we have an organization"},"first_name":{"type":"string","description":"The DPO first name"},"last_name":{"type":"string","description":"The DPO last name"},"position":{"type":"string","description":"The official position of the DPO within the company, available for persons and data representatives"},"description":{"type":"string","description":"The DPO short description"},"avatar_url":{"type":"string","format":"uri","description":"The DPO avatar URL, if available"},"category":{"type":"string","description":"The DPO category"},"jurisdiction":{"type":"array","description":"The DPO jurisdiction, available for data representatives","items":{"type":"string"}},"address":{"$ref":"#/components/schemas/Address"},"created_at":{"type":"string","format":"date-time"}}},"Address":{"type":"object","description":"The address object","properties":{"id":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"state":{"type":"string"},"address":{"type":"string","maxLength":50},"address_2":{"type":"string","maxLength":50},"postal_code":{"type":"string","maxLength":15},"phone_number":{"type":"string","maxLength":13}}}}},"paths":{"/portal/instance/property":{"put":{"summary":"Update property","description":"Change property information and configuration","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyForm"}}}},"responses":{"200":{"description":"Result with an array of records","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"result":{"$ref":"#/components/schemas/Property"}}}}}}}}}}}
```

## Send instructions

> This API endpoint is used to send implementation instructions to the specified email address

```json
{"openapi":"3.0.3","info":{"title":"Instance Property API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}}},"paths":{"/portal/instance/property/send-instructions":{"post":{"summary":"Send instructions","description":"This API endpoint is used to send implementation instructions to the specified email address","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["email"],"properties":{"email":{"type":"string","format":"email","description":"The email address to send the implementation instructions"},"message":{"type":"string","description":"Additional information to be included in the email"}}}}}},"responses":{"200":{"description":"Request completed successfully","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object"}}}}}}}}}}}
```

## Sign asset

> Prepares a signed URL for a logo, logo\_light or favicon to be uploaded for the property.

```json
{"openapi":"3.0.3","info":{"title":"Instance Property API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}}},"paths":{"/portal/instance/property/sign-asset":{"post":{"summary":"Sign asset","description":"Prepares a signed URL for a logo, logo_light or favicon to be uploaded for the property.","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"The asset type you want to upload","enum":["logo","logo_light","favicon"]},"mime":{"type":"string","description":"The mime type of the asset you want to upload"}},"required":["type","mime"]}}}},"responses":{"200":{"description":"Result with the added property domain","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"result":{"type":"object","properties":{"url":{"type":"string","format":"uri","description":"The signed upload URL to be used"}}}}}}}}}}}}}
```

## Delete asset

> This API endpoint is used when you want to remove a previously uploaded asset from the property.

```json
{"openapi":"3.0.3","info":{"title":"Instance Property API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}}},"paths":{"/portal/instance/property/image/{type}":{"delete":{"summary":"Delete asset","description":"This API endpoint is used when you want to remove a previously uploaded asset from the property.","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}},{"in":"path","name":"type","required":true,"schema":{"type":"string","enum":["logo","logo_light","favicon"]}}],"responses":{"200":{"description":"Request completed successfully","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object"}}}}}}}}}}}
```

## Get domains

> Retrieve a list of available domains for this property

```json
{"openapi":"3.0.3","info":{"title":"Instance Property API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Pagination":{"type":"object","description":"Pagination metadata","properties":{"current_page":{"type":"number"},"next_page":{"type":"number"},"prev_page":{"type":"number"}}},"PropertyDomain":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"is_primary":{"type":"boolean"},"created_at":{"type":"string","format":"date-time"}}}}},"paths":{"/portal/instance/property/domains":{"get":{"summary":"Get domains","description":"Retrieve a list of available domains for this property","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"responses":{"200":{"description":"Result with an array of property domains","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"meta":{"$ref":"#/components/schemas/Pagination"},"result":{"$ref":"#/components/schemas/PropertyDomain"}}}}}}}}}}}
```

## Create domain

> Create a new domain for this property

```json
{"openapi":"3.0.3","info":{"title":"Instance Property API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"PropertyDomain":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"is_primary":{"type":"boolean"},"created_at":{"type":"string","format":"date-time"}}}}},"paths":{"/portal/instance/property/domains":{"post":{"summary":"Create domain","description":"Create a new domain for this property","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","format":"uri","description":"The full domain hostname to be added"}},"required":["name"]}}}},"responses":{"200":{"description":"Result with the added property domain","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"result":{"$ref":"#/components/schemas/PropertyDomain"}}}}}}}}}}}
```

## Delete domain

> Deletes the specified property domain

```json
{"openapi":"3.0.3","info":{"title":"Instance Property API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}}},"paths":{"/portal/instance/property/domains/{id}":{"delete":{"summary":"Delete domain","description":"Deletes the specified property domain","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}},{"in":"path","name":"id","required":true,"schema":{"type":"string","description":"The property domain id"}}],"responses":{"200":{"description":"Request completed successfully","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clym.io/api-reference/instance/property.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
